curl --request GET \
--url https://server.sellagent.ai/api/agent/get/{id} \
--header 'Content-Type: <content-type>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://server.sellagent.ai/api/agent/get/{id}"
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': '<content-type>'}
};
fetch('https://server.sellagent.ai/api/agent/get/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "686679f702bfb2054ec3d1f0",
"name": "Appointement Setter Agent",
"type": "Single Prompt",
"firstMessage": "Hello, how can I help you today?",
"modelType": "deepseek/deepseek-chat-v3-0324",
"backgroundSound": {
"volume": 30
},
"dynamicVariables": {
"first_name": "John"
},
"webhookURL": "Url endpoint",
"language": {
"code": "en",
"label": "English",
"icon": "US"
},
"customFunctions": [
"<unknown>"
],
"voiceMailDetection": false,
"silenceThreshold": 30,
"maxCallDuration": 300,
"pauseBeforeSpeaking": 0,
"enableRecording": false,
"enableTranscript": false,
"providerId": "105922657181422688240",
"currentWorkspace": "685846b162e555e53cd3aeaa",
"creditsBalance": 0,
"currentSubscription": {
"status": "free",
"stripeCustomerId": "cus_SarEyKO1v9KQfP"
},
"usageMetrics": {
"callingMinutesUsed": 0,
"contactsUploaded": 0,
"emailsSent": 0,
"lastResetDate": "2025-06-29T16:37:16.234Z",
"currentPeriodUsage": {
"callingMinutes": 0,
"contacts": 0,
"emails": 0
}
},
"workspaceId": "685846b162e555e53cd3aeaa",
"modelId": {
"_id": "68243c0eba21403731844a8c",
"provider": "OpenRouter",
"label": "DeepSeek V3",
"type": "text",
"currency": "USD",
"icon": "https://assets-seleagent.s3.us-east-2.amazonaws.com/deepseek.png",
"modelName": "deepseek/deepseek-chat-v3-0324",
"cost": 0.01,
"latency": 400
},
"voiceId": {
"_id": "6800a813e6052d216985b6eb",
"voiceName": "Luna",
"accent": "English (US)",
"gender": "Female",
"voiceId": "aura-2-luna-en",
"demoUrl": "https://d2z4jjzwkquvhw.cloudfront.net/Luna.wav",
"voiceImg": "https://img.freepik.com/...jpg",
"voiceProvider": "Deepgram",
"providerId": "68243c0eba21403731844a8a",
"voiceKey": "aura-2-luna-en"
},
"knowledgeBase": [
"<unknown>"
],
"createdAt": "2025-07-03T12:39:19.318Z",
"updatedAt": "2025-07-04T20:39:32.968Z",
"script": "Agent Script"
}{
"status": "error",
"message": "Invalid request format, please check API reference."
}{
"status": "error",
"message": "API key is missing or invalid."
}{
"status": "error",
"message": "An unexpected server error occurred."
}Get Agent
Retrieve details of a specific agent using its ID.
Headers
Your API key for authentication
Must be application/json
application/json Optional Workspace ID (defaults to user's current workspace)
Path Parameters
Unique id of the agent to be retrieved.
"686679f702bfb2054ec3d1f0"
Response
Successfully retrieved an agent.
Unique ID of the agent
"686679f702bfb2054ec3d1f0"
Name of the agent
"Appointement Setter Agent"
Agent type (e.g., Single Prompt, Multi-Step)
"Single Prompt"
Initial message spoken by the agent
"Hello, how can I help you today?"
Model used by the agent
"deepseek/deepseek-chat-v3-0324"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Model used by the agent
"Url endpoint"
Show child attributes
Show child attributes
Custom functions used in the agent
false
30
300
0
false
false
"105922657181422688240"
"685846b162e555e53cd3aeaa"
0
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"685846b162e555e53cd3aeaa"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Knowledge base entries attached to the agent
"2025-07-03T12:39:19.318Z"
"2025-07-04T20:39:32.968Z"
"Agent Script"
